'==============================================================================
' Copyright  Micromega Corporation 2002-2008. All rights reserved.
'
' @file		template.bas
' @target:	ARMmite/ARMexpress
'
' This program provides an example of using the uM-FPU V3.1 floating point
' coprocessor with the ARMmite/ARMexpress using an SPI interface. It shows
' the initial FPU reset sequence and prints the version number of the FPU chip.
' This code is intended for use with ARMbasic V7.
'
' @author Cam Thompson, Micromega Corporation
' @version
'   March 30, 2008
'	- updated for ARMbasic V7
'	August 2, 2007
'	- original version
'==============================================================================

'-------------------- uM-FPU V3.1 definitions ---------------------------------

#include "FPUspi.bas"					' select either SPI or I2C
'#include "FPUi2c.bas"

'==============================================================================
'-------------------- main routine --------------------------------------------
'==============================================================================

Main:
	print
	print "Armbasic FPU template"

	if Fpu_Reset <> SYNC_CHAR then		' reset FPU and check synchronization
		print "uM-FPU not detected"
		end
	else
		Print_Version					' display FPU version number
		print
	endif

'-------------------- main loop -----------------------------------------------

'	Insert main application code here.
'	FPU instructions are sent using one of the Fpu_Write routines.
'	e.g.
'		Fpu_Write4(SELECTA, 1, LOADPI, FSET0)

Done:
	print
	print "Done."
	end
